Subject: Re: [alto] New Version Notification for draft-randriamasy-alto-cellular-adresses-00.txt

From: Qin Wu <[email-masked]>
Date: Mon, 3 Jul 2017 00:58:20 +0000

-----邮件原件-----
发件人: Randriamasy, Sabine (Nokia - FR/Nozay) [mailto:[email-masked]] 
发送时间: 2017年6月30日 23:16
收件人: Qin Wu; [email-masked]
主题: RE: New Version Notification for draft-randriamasy-alto-cellular-adresses-00.txt

Hi Qin,

Thanks a lot for your prompt feedback,
Please see my answers inline. 
Thanks,
Sabine

>>-----Original Message-----
>>From: Qin Wu [mailto:[email-masked]]
>>Sent: 30 June 2017 04:20
>>To: Randriamasy, Sabine (Nokia - FR/Nozay) <sabine.randriamasy@nokia- 
>>bell-labs.com>; [email-masked]
>>Subject: RE: New Version Notification for 
>>draft-randriamasy-alto-cellular- adresses-00.txt
>>
>>Hi, Sabine:
>>Thank for writing this short draft. It is a good start.
>>I have a few comments:
>>1. Section 3.2
>>MNC is defined as 2-3 digital decimal number without leading zeros?
>>But in the example following MNC definition, you give an example MNC 
>>value 020, I am not sure if the first digital number "0" is leading zero?

[SR     ] In the present case the purpose to extract the MNC exactly as it has been 
assigned and encoded and rapidly use this value in cellular networking functions. 
The design considers that an MNC1 may be encoded with "020" and another MNC2 may be encoded "20".   
I think, however MNC1 and MNC2 will likely be associated to different MCCs. 
Currently, some MCCs (like 404, 738) have MNCs encoded in 2 and 3 digits but no cases like "20" and "020".

[Qin]: What I am saying MNC2 encoded with "020" has leading zero. This is not consistent with the MNC definition, i.e.,
MNC is defined as 2-3 digital decimal number without leading zeros.

>>2.Section 3.2
>>For Endpoint address format,
>>MCC and MNC is defined as digital decimal number, ECI is defined as 
>>digital hex number, I am wondering why not specify MCC, MNC, ECI in 
>>the same format?

[SR     ] the motivation is to stay as close as possible to the 3gpp ECGI design that specifies
 MCC and MNC being identified with decimal digits and ECI with hexadecimal digits

[Qin]:Sounds reasonable to stick with the same format as 3GPP.

>>3. Section 3.2 Example:
>>Would it be great to make the text consistent with the example 
>>"ecgi:211:481:1234abc"?
>>For example, what do we mean by 311? What do we mean by 481?

[SR     ]  I agree. I will try to look for fictitious MCC and MNCs 

>>4. How ALTO Cell Id format is related to endpoint address format?

[SR     ] Actually RFC7285 specifies endpoint address formats for ipv4 and ipv6 
and the purpose of this draft is to agree on a format for cellular endpoints.
Whereas IP addresses are associated to domains ipv4 and ipv6, a Cell Id will be associated to the domain "ecgi" 
When a cell is mapped to a PID, say "MyCell3" the ALTO Cell Id will be used to specify the endpoints within this PID.

[Qin]: Make sense.

>>5. section 3.4
>>s/7-digita ECI that starts with the 18 bits 0x12348/7-digital ECI Hex 
>>number that starts with 18 bits 0x12348 6. Section 3.4 I think 'ecgi:311.481:1234800/18'
>>doesn't matches 'ecgi:311.481:1234abc'.
>>Maybe 'ecgi:311.481:1234abc' should be replaced with 'ecgi:311.481:1234cba'

[SR     ] I'll harmonize and update the examples

[Qin]: Thanks.
>>
>>-Qin
>>-----邮件原件-----
>>发件人: alto [mailto:[email-masked]] 代表 Randriamasy, Sabine (Nokia 
>>- FR/Nozay)
>>发送时间: 2017年6月30日 7:13
>>收件人: [email-masked]
>>主题: [alto] FW: New Version Notification for 
>>draft-randriamasy-alto-cellular- adresses-00.txt
>>
>>Hello,
>>
>>There have been several discussions and drafts on ALTO use cases 
>>involving cellular networks and it appears as necessary to agree upon 
>>an ALTO format for Cell Identifiers.
>>
>>This relates to several drafts (performance, unified properties, 
>>mobility models...). So I have posted this short one just to provide a 
>>discussion support. There are actually only 2.5 pages to read.
>>
>>For short, this draft proposes to use the cellular address format 
>>composed of elements as specified by 3GPP and called ECGI. ECGI  
>>stands for E-UTRAN Cell Global Identifier and is used in Public Land  
>>Mobile Networks based on E-UTRAN.
>>
>>Looking forward to having your feedback and proposals.
>>Thanks,
>>Sabine
>>
>>>>-----Original Message-----
>>>>From: [email-masked] [mailto:[email-masked]]
>>>>Sent: 30 June 2017 01:11
>>>>To: Randriamasy, Sabine (Nokia - FR/Nozay) 
>>>><sabine.randriamasy@nokia- bell-labs.com>
>>>>Subject: New Version Notification for 
>>>>draft-randriamasy-alto-cellular- adresses-00.txt
>>>>
>>>>
>>>>A new version of I-D, 
>>>>draft-randriamasy-alto-cellular-adresses-00.txt
>>>>has been successfully submitted by Sabine Randriamasy and posted to 
>>>>the IETF repository.
>>>>
>>>>Name:		draft-randriamasy-alto-cellular-adresses
>>>>Revision:	00
>>>>Title:		ALTO cellular addresses
>>>>Document date:	2017-06-30
>>>>Group:		Individual Submission
>>>>Pages:		5
>>>>URL:            https://www.ietf.org/internet-drafts/draft-randriamasy-alto-
>>>>cellular-adresses-00.txt
>>>>Status:         https://datatracker.ietf.org/doc/draft-randriamasy-alto-
>>cellular-
>>>>adresses/
>>>>Htmlized:       https://tools.ietf.org/html/draft-randriamasy-alto-cellular-
>>>>adresses-00
>>>>Htmlized:       https://datatracker.ietf.org/doc/html/draft-randriamasy-
>>alto-
>>>>cellular-adresses-00
>>>>
>>>>
>>>>Abstract:
>>>>   This draft proposes to use the cellular address format composed of
>>>>   elements as specified by 3GPP and called ECGI.  ECGI stands for
>>>>   E-UTRAN Cell Global Identifier and is used in Public Land Mobile
>>>>   Networks based on E-UTRAN.
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>Please note that it may take a couple of minutes from the time of 
>>>>submission until the htmlized version and diff are available at
>>tools.ietf.org.
>>>>
>>>>The IETF Secretariat
>>
>>_______________________________________________
>>alto mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/alto